Developers
API ReferenceProject Numbering

Retrieve the ProjectNumbering resource with a possible next number.

GET
/project/project-numberings/{id}

Retrieve the ProjectNumbering resource with a possible next number.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ProjectNumbering identifier

Response Body

ProjectNumbering resource

  1. response
nextNumber?string
id?string|null
name?string|null
pattern?string|null
counterPadLength?integer|null
counterNextValue?integer|null
counterInterval?|
Value in"P1M""P1Y"null
isDefault?boolean|null
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/project-numberings/string'
Example Response
{  "nextNumber": "string",  "id": "string",  "name": "string",  "pattern": "string",  "counterPadLength": 0,  "counterNextValue": 0,  "counterInterval": "P1M",  "isDefault": true}